import produce from "immer";
const breakpoint = {
  change: "change"
};
var Breakpoints = /* @__PURE__ */ ((Breakpoints2) => {
  Breakpoints2["LARGE"] = "large";
  Breakpoints2["MEDIUM"] = "medium";
  Breakpoints2["SMALL"] = "small";
  Breakpoints2["XSMALL"] = "xsmall";
  return Breakpoints2;
})(Breakpoints || {});
const initialState = {
  value: "large" /* LARGE */
};
const breakpointReducer = (state = initialState, action) => {
  const { type, payload } = action;
  return produce(state, (draft) => {
    switch (type) {
      case breakpoint.change:
        draft.value = payload;
        break;
    }
  });
};
export {
  Breakpoints,
  breakpoint,
  breakpointReducer
};
